Attribute VB_Name = "DLLDef"
'====================================================================
' asb3000.bas
'--------------------------------------------------------------------
'
' ASB-3000 Header
'
'====================================================================
Option Explicit

'--------------------------------------------------------------------
' foCXANZXɊւ`
'--------------------------------------------------------------------
Global Const ASB3000_MAX_DEVICE = 16                ' őfoCX
Global Const ASB3000_DEVICE_AUTO = &HFFFF           ' foCXw
'--------------------------------------------------------------------
' `lɊւ`
'--------------------------------------------------------------------
Global Const ASB3000_NUM_CH = 2                     ' Ή`l
Global Const ASB3000_CH1 = 0                        ' CH1
Global Const ASB3000_CH2 = 1                        ' CH2
'--------------------------------------------------------------------
' foCXɊւ`
'--------------------------------------------------------------------
Global Const ASB3000_VID_LENGTH = 8                 ' x_ʕ
Global Const ASB3000_PID_LENGTH = 16                ' v_Ngʕ
'--------------------------------------------------------------------
' TvOXe[^X̒`
'--------------------------------------------------------------------
Global Const ASB3000_STS_STOP = &H0                 ' CxgȂ(~)
Global Const ASB3000_STS_PRE_TRIG = &H1             ' gK҂ɂȂȌ
Global Const ASB3000_STS_WAIT_FOR_TRIG = &H3        ' gK҂̏
Global Const ASB3000_STS_TRIG_DETECT = &H7          ' gK|
Global Const ASB3000_STS_AUTO_RUN = &HB             ' ^CAEgt[ōăX^[g
'--------------------------------------------------------------------
' G[R[h̒`
'--------------------------------------------------------------------
Global Const ASB3000_SUCCESS = 0                    ' ُȂ
Global Const ASB3000_ERR_SYSTEM = 1                 ' VXeG[
Global Const ASB3000_ERR_NO_DEVICE = 2              ' gp\ȃfoCX܂
Global Const ASB3000_ERR_IN_USE = 3                 ' w̃foCX͎gpł
Global Const ASB3000_ERR_INVALID_DEVICENO = 4       ' sȃfoCXʔԍł
Global Const ASB3000_ERR_INVALID_ARGUMENT = 5       ' sȈw肳܂
Global Const ASB3000_ERR_INTERNAL = 6               ' G[ł
Global Const ASB3000_ERR_TRANSFER_TIMEOUT = 7       ' f[^]^CAEgɂȂ܂
Global Const ASB3000_ERR_TRANSFER_CANCEL = 8        ' f[^]LZ܂
Global Const ASB3000_ERR_TRANSFER_FAIL = 9          ' f[^]s܂
Global Const ASB3000_ERR_BUFF_OVERFLOW = 10         ' obt@I[o[t[܂
Global Const ASB3000_ERR_MEMSIZE = 11               ' 擾TCYُł
Global Const ASB3000_ERR_DEVICE = 12                ' foCXG[ł
'--------------------------------------------------------------------
' bZ[W̒`
'--------------------------------------------------------------------
Global Const WM_DATA_READY = 1                      ' TvOf[^
Global Const WM_DATA_THREAD_ERROR = 2               ' f[^擾pXbhG[
'--------------------------------------------------------------------
' ̑̒`
'--------------------------------------------------------------------
Global Const ASB3000_DEVICE_ID = &HAB00&            ' foCX ID
Global Const ASB3000_RES_VERT = 1024                ' \(1024|Cg)
Global Const ASB3000_RES_VOLTPOS = 500              ' d|WV\
Global Const ADBUFF_MAX_SIZE = 1000000              ' ݍőf[^
Global Const ADDATA_MASK_BIT = &H3FF                ' rbg}XN
'--------------------------------------------------------------------
' eݒl̒`
'--------------------------------------------------------------------
' (d)XP[
Global Const ASB3000_VOLTDIV_0 = 0                  ' 10mV  or 100mV
Global Const ASB3000_VOLTDIV_1 = 1                  ' 20mV  or 200mV
Global Const ASB3000_VOLTDIV_2 = 2                  ' 50mV  or 500mV
Global Const ASB3000_VOLTDIV_3 = 3                  ' 100mV or 1V
Global Const ASB3000_VOLTDIV_4 = 4                  ' 200mV or 2V
Global Const ASB3000_VOLTDIV_5 = 5                  ' 500mV or 5V
Global Const ASB3000_VOLTDIV_6 = 6                  ' 1V    or 10V
Global Const ASB3000_VOLTDIV_7 = 7                  ' 2V    or 20V
' v[u
Global Const ASB3000_PROBE_X1 = 1                   ' 1:1
Global Const ASB3000_PROBE_X10 = 10                 ' 10:1
Global Const ASB3000_PROBE_X100 = 100               ' 100:1
' ͌
Global Const ASB3000_CUP_DC = 0                     ' DC
Global Const ASB3000_CUP_AC = 1                     ' AC
' TCY
Global Const ASB3000_MEMSIZE_10K = 0                ' 10kPoint
Global Const ASB3000_MEMSIZE_100K = 1               ' 100kPoint
Global Const ASB3000_MEMSIZE_1M = 2                 ' 1MPoint
' ()XP[
Global Const ASB3000_TIMEDIV_10NS = 10              ' 10ns
Global Const ASB3000_TIMEDIV_20NS = 20              ' 20ns
Global Const ASB3000_TIMEDIV_50NS = 50              ' 50ns
Global Const ASB3000_TIMEDIV_100NS = 100            ' 100ns
Global Const ASB3000_TIMEDIV_200NS = 200            ' 200ns
Global Const ASB3000_TIMEDIV_500NS = 500            ' 500ns
Global Const ASB3000_TIMEDIV_1US = 1000             ' 1us
Global Const ASB3000_TIMEDIV_2US = 2000             ' 2us
Global Const ASB3000_TIMEDIV_5US = 5000             ' 5us
Global Const ASB3000_TIMEDIV_10US = 10000           ' 10us
Global Const ASB3000_TIMEDIV_20US = 20000           ' 20us
Global Const ASB3000_TIMEDIV_50US = 50000           ' 50us
Global Const ASB3000_TIMEDIV_100US = 100000         ' 100us
Global Const ASB3000_TIMEDIV_200US = 200000         ' 200us
Global Const ASB3000_TIMEDIV_500US = 500000         ' 500us
Global Const ASB3000_TIMEDIV_1MS = 1000000          ' 1ms
Global Const ASB3000_TIMEDIV_2MS = 2000000          ' 2ms
Global Const ASB3000_TIMEDIV_5MS = 5000000          ' 5ms
Global Const ASB3000_TIMEDIV_10MS = 10000000        ' 10ms
' gш
Global Const ASB3000_BW_FULL = 0                    ' FULL
Global Const ASB3000_BW_20MHZ = 1                   ' 20MHz
' TvO[h
Global Const ASB3000_SMP_REAL = 0                   ' ATvO
' ANCWV[h
Global Const ASB3000_ACQ_SINGLE = 0                 ' VOVbg
Global Const ASB3000_ACQ_ROLL = 1                   ' [
' gK[h
Global Const ASB3000_TMODE_AUTO = 0                 ' I[g
Global Const ASB3000_TMODE_NORMAL = 1               ' m[}
Global Const ASB3000_TMODE_FREERUN = 2              ' t[
' gK\[X
Global Const ASB3000_TSRC_CH1 = 0                   ' CH1
Global Const ASB3000_TSRC_CH2 = 1                   ' CH2
Global Const ASB3000_TSRC_EXT = 2                   ' O
' gK͌
Global Const ASB3000_TCUP_DC = 0                    ' DC
Global Const ASB3000_TCUP_LF = 1                    ' LFrej
Global Const ASB3000_TCUP_HF = 2                    ' HFrej
' gKX[v
Global Const ASB3000_TSLP_POS = 0                   ' (オ)
Global Const ASB3000_TSLP_NEG = 1                   ' ()
' pXgK(pX)
Global Const ASB3000_PULSE_NONE = 0                 ' gp
Global Const ASB3000_PULSE_UNDER = 1                ' pX
Global Const ASB3000_PULSE_ABOVE = 2                ' pXȏ

'--------------------------------------------------------------------
' foCX\
'--------------------------------------------------------------------
Type TDEVINFO
    VendorID(0 To ASB3000_VID_LENGTH - 1) As Byte   ' x_ʕ
    ProductID(0 To ASB3000_PID_LENGTH - 1) As Byte  ' v_Ngʕ
    FirmVer As Byte                                 ' t@[EFÃo[W
    FpgaVer As Byte                                 ' FPGÃo[W
End Type
'--------------------------------------------------------------------
' TvOp[^\
'--------------------------------------------------------------------
Type TSETMODE
    ' ݒ
    dwVoltDiv(0 To ASB3000_NUM_CH - 1) As Long      ' (d)XP[
    dwVoltPos(0 To ASB3000_NUM_CH - 1) As Long      ' (d)|WV
    dwVertCoupling(0 To ASB3000_NUM_CH - 1) As Long ' ͌
    ' ݒ
    dwMemSize As Long                               ' TCY
    dwSamplingTime As Long                          ' ()XP[
    dwBandWidth(0 To ASB3000_NUM_CH - 1) As Long    ' gш
    dwSamplingMode As Long                          ' TvO[h
    dwAcqMode As Long                               ' ANCWV[h
    ' gKݒ
    dwTrigMode As Long                              ' gK[h
    dwTrigSource As Long                            ' gK\[X
    dwTrigCoupling As Long                          ' gK͌
    dwTrigSlope As Long                             ' gKX[v
    dwTrigLevel As Long                             ' gKx
    dwTrigPos As Long                               ' gK|WV
    dwTrigDelay As Long                             ' gKfBC
    dwTrigPulse As Long                             ' pXgK(pX)
    dwTrigPulseWidth As Long                        ' pXgK(pX)
End Type

'--------------------------------------------------------------------
' API
'--------------------------------------------------------------------
Public Declare Function Asb3000GetVersion Lib "asb3000" (ByRef pdwDrvVer As Long, ByRef pdwDllVer As Long) As Boolean
Public Declare Function Asb3000Create Lib "asb3000" (ByRef pwDeviceNo As Integer, ByVal hWnd As Long, ByVal uWMBase As Long) As Boolean
Public Declare Function Asb3000Close Lib "asb3000" (ByVal wDeviceNo As Integer) As Boolean
Public Declare Function Asb3000GetDevInfo Lib "asb3000" (ByVal wDeviceNo As Integer, ByRef pDevInfo As TDEVINFO) As Boolean
Public Declare Function Asb3000GetMemSize Lib "asb3000" (ByVal wDeviceNo As Integer, ByRef pdwMemSize As Long) As Boolean
Public Declare Function Asb3000SetMode Lib "asb3000" (ByVal wDeviceNo As Integer, ByRef pSetMode As TSETMODE) As Boolean
Public Declare Function Asb3000StartSampling Lib "asb3000" (ByVal wDeviceNo As Integer, ByVal dwInitArg As Long) As Boolean
Public Declare Function Asb3000StopSampling Lib "asb3000" (ByVal wDeviceNo As Integer) As Boolean
Public Declare Function Asb3000GetStatus Lib "asb3000" (ByVal wDeviceNo As Integer, ByRef pdwStatus As Long, ByRef pdwNumData As Long, ByRef pvInitArg As Any) As Boolean
Public Declare Function Asb3000GetData Lib "asb3000" (ByVal wDeviceNo As Integer, ByVal dwNumData As Long, ByRef pdwData As Long) As Boolean
Public Declare Function Asb3000GetLastError Lib "asb3000" (ByVal wDeviceNo As Integer) As Long
